Package Details: bloscpack 0.16.0-2

Git Clone URL: https://aur.archlinux.org/bloscpack.git (read-only)
Package Base: bloscpack
Description: command line interface to and serialization format for Blosc.
Upstream URL: https://github.com/Blosc/bloscpack
Licenses: MIT
Submitter: bhoppi
Maintainer: bhoppi
Last Packager: bhoppi
Votes: 2
Popularity: 0.000000
First Submitted: 2016-01-10 06:17
Last Updated: 2019-05-24 01:42

Latest Comments

eduardosm commented on 2019-05-12 12:09

python-deprecated is missing from dependencies

bhoppi commented on 2016-04-11 12:26

during update to ver 0.11.0, it seems bloscpack works now, but need more testing.
---------------------------
due to upstream fix, I changed the dependency blosc==1.2.7 to blosc>=1.3.2
now blpk can run without error thrown, but the result is still not correct.
please keep waiting upstream to resolve problems.

anntzer commented on 2016-03-29 08:35

After installing this package and its dependencies:

$ blpk -h
Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 642, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 943, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 835, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (blosc 1.2.8 (/usr/lib/python3.5/site-packages), Requirement.parse('blosc==1.2.7'), {'bloscpack'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/blpk", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2900, in <module>
@_call_aside
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2886, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2913, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 644, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 657, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 830, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'blosc==1.2.7' distribution was not found and is required by bloscpack

bhoppi commented on 2016-01-10 08:19

this version (0.10.0) doesn't work with blosc==1.2.8 now, so please wait upstream to update it.